<script lang="ts" setup>
    import { PageWrapper } from '/@/components/Page'

    const text = ref('Hello World! 👋')

    onMounted(() => {
        // TODO: 测试接口
        API.example.hello.request().then((body) => {
            console.log(body)

            setTimeout(() => {
                text.value = body
            }, 1500)
        })

        API.permission.tree
            .request({
                pid: '0',
            })
            .then((body) => {
                console.log(body)
            })
    })
</script>

<template>
    <PageWrapper title="Example" content="示例展示页面">
        <div class="title">{{ text }}</div>
    </PageWrapper>
</template>
